Metafunction
EdgeDescriptor
Type of an object that represents an edge descriptor.
EdgeDescriptor<T>::Type
Include Headers
seqan/graph_types.h
Parameters

T | Type T must be a graph. All graphs use a pointer to an edge stump as an edge descriptor. Types: Graph

Remarks
The edge descriptor is a unique handle to a given edge in a graph. It is used in various graph functions, e.g., to remove edges, to assign a cargo to an edge or to get the endpoints of an edge. It is also used to attach properties to edges.
Return Values

Type | EdgeDescriptor type.

Functions

addEdge | Adds a new edge to the graph, either with or without cargo.
assignProperty | Assigns a property to an item in the property map.
childVertex | Returns the child vertex of an edge.
findEdge | Finds an edge.
getProperty | Get method for an item's property.
getTransitionProbability | Returns the transition probability.
parentVertex | Returns the parent vertex of an edge.
property | Accesses the property of an item in the property map.
removeEdge | Removes an edge from the graph. For automatons a label is required.
sourceVertex | Returns the source vertex of an edge.
targetVertex | Returns the target vertex of an edge.
transitionProbability | Returns a reference to the transition probability.

Examples
EdgeDescriptor<Graph<> >::Type eD; //eD is an edge descriptor
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50